Show / Hide Table of Contents

# AsyncPointerDownTrigger Class

###### Namespace: Cysharp.Threading.Tasks.Triggers

###### Assembly: cs.temp.dll.dll

    public sealed class AsyncPointerDownTrigger : AsyncTriggerBase<PointerEventData>, IUniTaskAsyncEnumerable<PointerEventData>, IPointerDownHandler

##### Inheritance

System.Object → AsyncTriggerBase<PointerEventData> → AsyncPointerDownTrigger

##### Implements

IUniTaskAsyncEnumerable<PointerEventData>
IPointerDownHandler

### Members

#### Methods

Name | Description
--- | ---
GetOnPointerDownAsyncHandler() |
GetOnPointerDownAsyncHandler(CancellationToken) |
OnPointerDownAsync() |
OnPointerDownAsync(CancellationToken) |

### Methods

#### GetOnPointerDownAsyncHandler()

    public IAsyncOnPointerDownHandler GetOnPointerDownAsyncHandler()

##### Returns

IAsyncOnPointerDownHandler

#### GetOnPointerDownAsyncHandler(CancellationToken)

    public IAsyncOnPointerDownHandler GetOnPointerDownAsyncHandler(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

IAsyncOnPointerDownHandler

#### OnPointerDownAsync()

    public UniTask<PointerEventData> OnPointerDownAsync()

##### Returns

UniTask<PointerEventData>

#### OnPointerDownAsync(CancellationToken)

    public UniTask<PointerEventData> OnPointerDownAsync(CancellationToken cancellationToken)

##### Parameters

`cancellationToken` CancellationToken

##### Returns

UniTask<PointerEventData>

### Implements

IUniTaskAsyncEnumerable<T>
IPointerDownHandler